require 'common/runner'

class RmDummyRunner
  include Runner

  def run(plugin, *targets)
    targets.each do |target|
      target_description = plugin.describe(target)
      msg =  "Would remove #{target.class.to_s().downcase()} #{target}"

      # Only append the extra description if it's useful.
      if not target_description.nil? and
         not target_description.empty? and
         not target_description == target.to_s() then
        msg += " (#{target_description})"
      end
      msg += '.'

      report(plugin, msg)
    end

  end

end
